Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233971 - HVM guest hangs on vcpu migration (ptc.ga emulation bug)
Summary: HVM guest hangs on vcpu migration (ptc.ga emulation bug)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Keiichiro Tokunaga
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-26 13:02 UTC by Bryn M. Reeves
Modified: 2018-10-19 22:45 UTC (History)
5 users (show)

Fixed In Version: RHBA-2007-0959
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 19:45:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0959 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5 Update 1 2007-11-08 00:47:37 UTC

Description Bryn M. Reeves 2007-03-26 13:02:01 UTC
Description of problem:
When a HVM guest migrates to the local CPU on ia64, smp_call_function_single()
doesn't work. Upstream has moved to using ptc_ga_remote_func() directly instead
in the xen-ia64-unstable tree.

Version-Release number of selected component (if applicable):
kernel-2.6.18-8.EL

How reproducible:
Variable. This is reportedly easily reproduced with a Windows guest by
repeatedly connecting/disconnecting RDP (remote desktop) sessions. Will update
this BZ if/when we have better steps to reproduce.

Steps to Reproduce:
1. Start a HVM guest
2. In the guest, cause frequent vcpu migration

  
Actual results:
Eventually HVM guest will hang


Expected results:
HVM guest does not hang

Additional info:

Comment 1 Bryn M. Reeves 2007-03-26 13:04:28 UTC
xen-ia64-unstable changeset with smp_call_function_single() ->
ptc_ga_remote_func() change:

http://xenbits.xensource.com/ext/xen-ia64-unstable.hg?rev/21d0d23a2cca

Comment 3 RHEL Product and Program Management 2007-04-25 20:35:02 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Larry Troan 2007-06-27 00:00:10 UTC
Need devel and QA ACKs before we can request an exception.

Comment 6 Martin Jenner 2007-07-09 15:41:30 UTC
QE ack for RHEL 5.1

Comment 7 Don Zickus 2007-07-10 16:21:19 UTC
in 2.6.18-33.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 8 Larry Troan 2007-07-11 13:52:00 UTC
QE ACK per comment #6 assumes Fujitsu will test.

Comment 10 Red Hat Bugzilla 2007-07-25 00:44:23 UTC
change QA contact

Comment 11 Issue Tracker 2007-08-10 06:30:49 UTC
Fujitsu's feedback of testing on EL5.1 beta is good.

----------------------
5.1 beta is OK. The test passed.

Thanks,
KUWAMURA Shin'ya

Status set to: Next Update

This event sent from IssueTracker by mmatsuya 
 issue 116351

Comment 13 errata-xmlrpc 2007-11-07 19:45:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0959.html



Note You need to log in before you can comment on or make changes to this bug.